Bug 45631 - grep dumps core when using -C option
grep dumps core when using -C option
Product: Red Hat Raw Hide
Classification: Retired
Component: grep (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-06-24 07:58 EDT by Johan Braennlund
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-06-24 07:58:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Johan Braennlund 2001-06-24 07:58:35 EDT
Description of problem:
With grep-2.4.2, using the -C (context) option without specifying number of
lines worked, but with versions 2.5e-3 and 2.5e-4, invoking grep with the
same option dumps core.

How reproducible:

Steps to Reproduce:
1.grep -C regexp file (for any regexp and file)

Actual Results:  grep crashes.

Expected Results:  grep should have printed occurrences of regexp in file,
with output context.

Additional info:
Comment 1 Bernhard Rosenkraenzer 2001-06-26 12:05:01 EDT
We've gone back to 2.4.2 - 2.5e was just in the tree to be prepared for when 
2.5final is released.

Note You need to log in before you can comment on or make changes to this bug.